#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 kan-extensions
version:              5.2.6
visibility:           public
id:                   kan-extensions-5.2.6-37Rqbap5IQa4nK0abvY9KW
key:                  kan-extensions-5.2.6-37Rqbap5IQa4nK0abvY9KW
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  964bac409bb404c519c7156244b1068c
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.6
library-dirs:         /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.6
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.6-37Rqbap5IQa4nK0abvY9KW
depends:
    adjunctions-4.4.3-25xLKb3IemJHhrJZv61jrx array-0.5.4.0
    base-4.17.2.1 comonad-5.0.9-5OEJHfQwhjhzCHFAfykzc containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    distributive-0.6.2.1-Gc8PUWM0btz9ZAWKtORd6a
    free-5.2-5cjvOnB92zw108RLYJYEpP
    invariant-0.6.4-5sUVSGMPqpu1eBfs059ia6 mtl-2.2.2
    profunctors-5.6.2-7UamVUENlVT5CFQZ4E7h8G
    semigroupoids-6.0.1-4BfowyD1sQLDpGJI2EeKah
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

